DRUO
Get started
Connect Links

Create Connect Link

POSThttps://api.druo.com/connect/link/create

Creates a new Connect Link to securely connect an end user's bank account.

This endpoint generates a customizable Connect Link object. This link can be sent to customers to safely initiate the account connection process, supporting custom colors, redirection configurations, and language defaults.

Request body

intro_textstringRequired

The introductory text displayed in the center of the link interface. The text must include both the merchant name (as registered in the business profile) and 'DRUO'. This field has a minimum length of 40 characters and a maximum length of 70 characters.

new_end_user_detailsEndUserRequired

The customer details for a new end user. This field is required only if existing_end_user_id is not provided.

existing_end_user_idstringRequired

The unique identifier of an existing end user. This field is required only if new_end_user_details is not provided.

merchant_idstringoptional

The unique identifier of the merchant associated with the connect link.

background_colorstringoptional

The HEX color code for the link background.

button_colorstringoptional

The HEX color code for the link buttons.

button_text_colorstringoptional

The HEX color code for the link button text.

The HEX color code for the text inside the content box.

The HEX color code for the content box background.

default_institutionstringoptional

The identifier of the default financial institution to pre-select in the link flow.

primary_referencestringoptional

The primary reference for the connect link. Used to associate the connected account with an entity in an external system.

secondary_referencestringoptional

The secondary reference for the connect link. Used to associate the connected account with an entity in an external system.

default_languagestringoptional

The language code to display the link flow in. Defaults to English if left blank.

redirect_urlstringoptional

The URL to redirect to after completing the connection flow. Parameters such as account code (ac), account last 4 (al4), account institution name (ain), account status (as), account UUID (aid), and connect link UUID (clid) will be appended as URL query parameters.

expiration_datestringoptional

The expiration date and time for the connect link in GMT (ISO 8601 format). If set, users will see an error page if they attempt to open the link after this date.

metadatastringoptional

A set of key-value pairs that can be attached to the object. You can specify up to 50 keys, with key names up to 40 characters and values up to 500 characters.

If true, the user is redirected directly to the redirect_url without displaying the DRUO confirmation page.

Determines which account capabilities are enabled when the link is created.

Possible values:PAYMENTPAYOUT

Response

uuidstringoptional

The unique identifier of the connect link.

Example: clk_aee571f2-cdf0-4fad-8abb-74fcb8b83f20
codestringoptional

The unique code of the connect link.

Example: CLR33JXMNXU
urlstringoptional

The secure URL to which the user should be redirected to connect their account.

Example: https://link.druo.com/connect/secure?sl=fd6f7577c
expiredbooleanoptional

Indicates whether the connect link has expired.

Example: false
background_colorstringoptional

The HEX color code for the link background.

Example: #333333
button_colorstringoptional

The HEX color code for the link buttons.

Example: #ffffff
button_text_colorstringoptional

The HEX color code for the link button text.

Example: #000000

The HEX color code for the text inside the content box.

Example: #333333

The HEX color code for the content box background.

Example: #eaeaea
intro_textstringoptional

The key-value pairs mapping languages to their configured intro text.

delivery_statusstringoptional

The current delivery status of the connect link.

Example: CREATED
end_userEndUserCustomeroptional

The details of the end-user customer associated with this connect link.

default_institutionstringoptional

The pre-selected financial institution for the link.

primary_referencestringoptional

The primary reference for the connect link. Used to associate the connected account with an entity in an external system.

Example: 23423524
secondary_referencestringoptional

The secondary reference for the connect link. Used to associate the connected account with an entity in an external system.

Example: bj39fhow39fhqp3f0hfae4344
default_languagestringoptional

The language code configured to display the link in.

Possible values:es_COen_US
redirect_urlstringoptional

The URL to redirect the user to once the flow completes successfully.

Example: https://example.com
expiration_datestringoptional

The GMT expiration timestamp for the connect link.

Example: 2021-11-16T23:23:38

Indicates whether the redirect occurs automatically without showing the DRUO confirmation page.

Example: false
metadatastringoptional

Key-value pairs containing custom metadata attached to the object.

Example: {"order_id": "6735"}
date_created_gmtstringoptional

The creation timestamp of the connect link in GMT.

Example: 2021-11-15T23:23:38Z
date_updated_gmtstringoptional

The last update timestamp of the connect link in GMT.

Example: 2021-11-15T23:23:38Z
NextGETGet Connect Link